/* MSMEXAMP M Boldin  ExampleTemplate for Markov Switching Model */;

disable;

/* Output file name */
output file=msmexamp.out off;

clear ddates, y, tn, X, depvar, indvar, dvar, ivar, x0i;

/* Set y & X matrices for model data here */
y= ???
let  depvar=  ??
X= ???
let  indvar=  ??

tn=rows(y);
ddates=seqa(1,1,tn);

Mtitle="MSM Example Program" ; _otitle=Mtitle;
/* First and last observation used for estimating */
__ftt=5;   __ltt=155;

output on;
print;
$Mtitle;
"Depvar -- "  $depvar;
"  mean/std" meanc(y[__ftt:__ltt])   stdc(y[__ftt:__ltt]);
"Indvar --"  $indvar';
 print; print;
output off;


/* Set global variables that define for MSM specification options */
call msminit;  /* resets globals */
ns=2;  __nxsees=0;  arn=2;  __rhosx=0;   __rq=0;  __po=0;

/*  Starting Values--  the order is
      Bs, sees, (rhos), Q[.,1:ns-1], (po[1:ns-1]) reading rowwise */
let sval0 =  ??

call msmr(sval0);


output on;
print; print;
{ Fsm,mlsm,fspm } = smtabl(ddates,__ftt,__ltt,0);
format /rd 9,4;
"            Depend.   Most-likely";
"Date        Variable   Regime    Probabilities"
ddates[__ftt:__ltt]~y[__ftt:__ltt]~mlsm~fspm;
print; print;

output off;


end;



