/* MSM  Maximum Likelihood Estimation   M Boldin  (4/96) */
/*   Hamilton's Model-- Intial set up and estimation of simple model  */

disable;
output file=mgt1ao.out off;

/* Reading in data and setting model */
load path=c: ;
  load xdatx[194,7]=gnp2.asc;
  let vnms=  yrq   NBER  TP   GNP1   GNP2     GDPC    GDPqh;
  tn=rows(xdatx);   nc=cols(xdatx);
  lx=100*ln(xdatx[.,4:nc]);
  nc=cols(lx);
  mv=miss(0,0);

  dlx=lx-(reshape(mv,1,nc)|lx[1:tn-1,.]);
  xdat=xdatx[.,1]~dlx;
  NBERD=xdatx[.,2 3];

  tn=rows(xdat);
  ddates=xdat[.,1];
  X0=ones(tn,1)~seqa(1,1,tn)/100;
  let x0vn= CONST  TTREND;

Mtitle="MSM-- GNP growth"; _otitle=Mtitle;
y=xdat[.,2];  /* Data Hamilton used */
X=X0[.,1];

yr0=1947;
fyr=1952; __ftt=(fyr-yr0)*4 + 2;
lyr=1984; __ltt=(lyr-yr0+1)*4;

call msminit;
__runno=0;  __sval=0;  __regtbl=0;

ns=2;  __nxsees=1;   arn=0;   __arnns=0;
/* Starting values  */
let sval0= -0.25  1.25  0.75   .75  .10;
        /*   b1   b2   see     q11   q21 */
call msmr(sval0);

ns=2;  __nxsees=1;   arn=4;   __arnns=1;
sval0=vec(bs')|sees[1]|zeros(arn,1)|q[1,1]|q[2,1];
call msmr(sval0);

/* Alt starting values  */
let sval0= -0.25  1.25  0.75   .20 .10  0  0   .75  .07;
        /*   b1   b2   see    rhos1-4   q11   q21 */
call msmr(sval0);

let sval0= -1.0  0.8  0.75    0 0 0 0   .10  .10;
call msmr(sval0);

end;
