/* MSM  Maximum Likelihood Estimation   M Boldin  (4/96) */
/*   Hamilton's Model  */
/*  for SNDE articel table 3 */

disable;
output file=mgt4o.out off;

Mtitle="MSM-- GNP growth"; _otitle=Mtitle;
y=xdat[.,3];  /* Data Hamilton used */
X=X0[.,1];

yr0=1947;
fyr=1952; __ftt=(fyr-yr0)*4 + 2;
lyr=1994; __ltt=(lyr-yr0+1)*4;

call msminit;
__runno=0;  __sval=0;  __regtbl=0;

ns=3; __bsk=0; __nxbs=0;
__seesj=0;  __nxsees=0;    arn=2;   __rhosx=0;

__rq=4.2; __oaralg=1;
let __xqk= 1  -1
           2  -1
           2  -1
          -2   0
          -2   0
          -2   0
          -2   0
          -2   0
          -2   0

           0  -2
           0  -2
           0  -2
           0  -2
           0   3
           0  -2
           0  -2
           0  -2
           0  -2

           0   0
           0   0
           0   0
           0   0
           0   0
           0   0
           4   0
           4   0
           4   0;
__nxq=maxc(__xqk);


let sval0=
    -0.5  1.5   .80
     0.75     0.75     0.75
     0     0    0
     0     0    0
     .70
     .70
              .50
     .10;

ns=3;  __nxsees=0;    arn=2;   __rhosx=0;

call msmr(sval0);


end;

let sval0=
  -0.4793    1.7016    0.6597    0.9620    0.4740    0.5558    0.1835    0.4297
   0.2707    0.6265   -0.2972    0.1043
   0.7117    0.6385    0.4984   0.1287;

ns=3;  __nxsees=1;    arn=2;   __rhosx=1.1;
sval0=bs'|sees[3]|0|0|xq;
call msmr(sval0);

ns=3;  __nxsees=0;    arn=2;   __rhosx=0;
sval0=bs'|sees'|vec(rhos')|xq;
call msmr(sval0);



